# Copyright (c) 2015 Dave Love, Liverpool University
# The licence for this file is as for the package itself.

Name:		dssp
Version:	2.2.1
Release:	6%{?dist}
Summary:	Protein secondary structure assignment
%{?el5:Group:		Applications/Engineering}
License:	Boost
URL:		http://swift.cmbi.ru.nl/gv/dssp/
Source0:	ftp://ftp.cmbi.ru.nl/pub/software/dssp/dssp-%version.tgz
# don't suppress make output
Patch1:		dssp-make.patch

BuildRequires:	zlib-devel bzip2-devel
%if 0%{?el5}
BuildRequires:	boost141-devel
%else
BuildRequires:	boost-devel
%endif
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%if 0%{?epel} < 7
%{!?__global_ldflags: %global __global_ldflags -Wl,-z,relro}
%endif

%description
The DSSP program standardizes protein secondary structure assignment.
DSSP is a database of secondary structure assignments (and much more)
for all protein entries in the Protein Data Bank (PDB).  DSSP is also
the program that calculates DSSP entries from PDB entries.  DSSP does
not predict secondary structure.

References:
"A series of PDB related databases for everyday needs.", Robbie
P. Joosten, Tim A.H. te Beek, Elmar Krieger, Maarten L. Hekkelman, Rob
W.W. Hooft, Reinhard Schneider, Chris Sander, and Gert Vriend.
Nucleic Acids Research 2011 January; 39(Database issue): D411-D419.
doi: 10.1093/nar/gkq1105

"Dictionary of protein secondary structure: pattern recognition of
hydrogen-bonded and geometrical features.", Kabsch W, Sander C,
Biopolymers. 1983 22 2577-2637.

%prep
%setup -q
%patch1 -p1 -b .make
chmod -x src/buffer.h


%build
# This changed somewhere between EPEL6 and Fedora 21.
## Set Boost's library directories
if [ -f %{_libdir}/%{?el5:boost141/}libboost_thread-mt.so ]; then
  echo "BOOST_LIB_SUFFIX = -mt" > make.config
else
  echo "BOOST_LIB_SUFFIX = " > make.config
fi
%if 0%{?el5}
echo "CFLAGS=$RPM_OPT_FLAGS -I/usr/include/boost141
LDOPTS=%__global_ldflags -L%_libdir/boost141" >>make.config
%else
echo "CFLAGS=$RPM_OPT_FLAGS -I/usr/include
LDOPTS=%__global_ldflags -L%_libdir" >>make.config
%endif
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DEST_DIR=%_prefix DESTDIR=$RPM_BUILD_ROOT
chmod -x $RPM_BUILD_ROOT%_mandir/man1/*


%clean
rm -rf $RPM_BUILD_ROOT


%{!?_licensedir:%global license %%doc}
%files
%license LICENSE_1_0.txt
%doc changelog README.txt
%_bindir/mkdssp
%_mandir/man1/mkdssp.1*


%changelog
* Thu Jul 30 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-6
- Use __global_ldflags and Boost paths unconditionally per review

* Fri May 29 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-5
- Support epel5
- Other review nitpicks

* Fri Apr 10 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-4
- Maybe use %%licence

* Mon Mar 30 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-3
- Review: Patch makefile to use DESTDIR and set BOOST_LIB_SUFFIX in
  make.conf, not environment

* Tue Feb 10 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-2
- Adjust BOOST_LIB_SUFFIX correctly

* Mon Feb  9 2015 Dave Love <d.love@liverpool.ac.uk> - 2.2.1-1
- Initial packaging
